Bug 985029 - SELinux is preventing /usr/bin/ps from 'getattr' accesses on the directory /proc/<pid>.
SELinux is preventing /usr/bin/ps from 'getattr' accesses on the directory /p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3f573f371697a1c6af48bff5754...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 11:21 EDT by Julien Vehent [:ulfr]
Modified: 2013-07-20 05:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-65.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: rabbitmq-selinux-20130715.pp (7.65 KB, application/octet-stream)
2013-07-16 11:21 EDT, Julien Vehent [:ulfr]
no flags Details

  None (edit)
Description Julien Vehent [:ulfr] 2013-07-16 11:21:16 EDT
Description of problem:
Installed the latest rabbitmq RPM on F19 and tried to run it. The run failed but one of the socket is created (on port 4369). /var/log/audit/audit.log contains lots of entries for rabbitmq.
SELinux is preventing /usr/bin/ps from 'getattr' accesses on the directory /proc/<pid>.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that ps should be allowed getattr access on the <pid> directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ps /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rabbitmq_beam_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                /proc/<pid> [ dir ]
Source                        ps
Source Path                   /usr/bin/ps
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           procps-ng-3.3.8-8.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   73
First Seen                    2013-07-16 06:57:46 PDT
Last Seen                     2013-07-16 08:09:48 PDT
Local ID                      2c164c8f-6b73-4dad-83bb-783fc354c072

Raw Audit Messages
type=AVC msg=audit(1373987388.987:106993): avc:  denied  { getattr } for  pid=10456 comm="ps" path="/proc/27" dev="proc" ino=9556 scontext=system_u:system_r:rabbitmq_beam_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=dir


type=SYSCALL msg=audit(1373987388.987:106993): arch=x86_64 syscall=stat success=no exit=EACCES a0=18f25d0 a1=35b1812a80 a2=35b1812a80 a3=0 items=0 ppid=10134 pid=10456 auid=4294967295 uid=989 gid=984 euid=989 suid=989 fsuid=989 egid=984 sgid=984 fsgid=984 ses=4294967295 tty=(none) comm=ps exe=/usr/bin/ps subj=system_u:system_r:rabbitmq_beam_t:s0 key=(null)

Hash: ps,rabbitmq_beam_t,kernel_t,dir,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 1 Julien Vehent [:ulfr] 2013-07-16 11:21:23 EDT
Created attachment 774375 [details]
File: rabbitmq-selinux-20130715.pp
Comment 2 Fedora Update System 2013-07-17 07:54:01 EDT
selinux-policy-3.12.1-65.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-65.fc19
Comment 3 Fedora Update System 2013-07-18 02:02:53 EDT
Package selinux-policy-3.12.1-65.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-65.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13172/selinux-policy-3.12.1-65.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-20 05:34:01 EDT
selinux-policy-3.12.1-65.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.